%define lib_name_orig	lib%{name}
%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d
%define staticname	%mklibname %{name} -d -s

Summary:	Utilities for lm_sensors
Name:		lm_sensors
Version:	3.4.0
Release:	%mkrel 3
Epoch:		1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.lm-sensors.org
Source0:	http://dl.lm-sensors.org/lm-sensors/releases/%{name}-%{version}.tar.bz2
Source1:	http://dl.lm-sensors.org/lm-sensors/releases/%{name}-%{version}.tar.bz2.sig
Source2:	lm_sensors-2.8.2-sensors
Source3:	sensord.service
Source4:	lm_sensors.sysconfig
BuildRequires:	bison
BuildRequires:	chrpath
BuildRequires:	flex
BuildRequires:	librrdtool-devel
BuildRequires:	libsysfs-devel
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
This package contains a collection of user space tools for general SMBus
access and hardware monitoring. SMBus, also known as System Management Bus,
is a protocol for communicating through a I2C ('I squared C') bus. Many modern
mainboards have a System Management Bus. There are a lot of devices which can
be connected to a SMBus; the most notable are modern memory chips with EEPROM
memories and chips for hardware monitoring.

Most modern mainboards incorporate some form of hardware monitoring chips.
These chips read things like chip temperatures, fan rotation speeds and
voltage levels. There are quite a few different chips which can be used
by mainboard builders for approximately the same results.

%package -n	%{libname}
Summary:	Libraries needed for lm_sensors
Group:		System/Libraries

%description -n	%{libname}
Libraries to access lm_sensors internal data.

%package -n	%{develname}
Summary:	Development libraries and header files for lm_sensors
Group:		Development/C
Requires(pre):	%{libname} = %{epoch}:%{version}-%{release}
Requires(postun):	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-devel < %{epoch}:%{version}-%{release}

%description -n	%{develname}
Development libraries and header files for lm_sensors.

You might want to use this package while building applications that might
take advantage of lm_sensors if found.

%package -n	%{staticname}
Summary:	Static libraries for lm_sensors
Group:		Development/C
Requires(pre):	%{develname} = %{epoch}:%{version}-%{release}
Requires(postun):	%{develname} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-static-devel < %{epoch}:%{version}-%{release}

%description -n	%{staticname}
This package contains static libraries for lm_sensors.

%prep
%setup -q

%build
%setup_compile_flags
%define _MAKE_DEFS COMPILE_KERNEL=0 WARN=1 PREFIX=%{_prefix} ETCDIR=%{_sysconfdir} MANDIR=%{_mandir} PROG_EXTRA:=sensord LIBDIR=%{_libdir}
%define MAKE_DEFS %{_MAKE_DEFS}

# (tpg) get rid of custom ldflags, rpath
sed -i -e 's/EXLDFLAGS :=.*/EXLDFLAGS :=$(LDFLAGS)/g' Makefile

%{make} %{MAKE_DEFS} user

%install
%define MAKE_DEFS %{_MAKE_DEFS} DESTDIR=%{buildroot}
%{make} %{MAKE_DEFS} user_install
%{__mkdir_p} %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/lm_sensors
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/sensord
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/sensors
%ifnarch ppc %arm %mips
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isadump
%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/isaset
%endif

%{__cat} > README.urpmi << EOF
* To use this package, you'll have to launch "sensors-detect" as root, and ask few questions.
  No need to modify startup files as shown at the end, all will be done.

* Special note for via686a and i2c-viapro : if you don t see the values, you probably have a PCI conflict.
  It will be corrected in next kernel. Change the /etc/sysconfig/lm_sensors to use i2c-isa + via686a
  (or i2c-viapro + another sensor)
EOF

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/sensord.service
install -m 644 prog/init/lm_sensors.service %{buildroot}%{_unitdir}

# placeholder
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/lm_sensors

%post
MIGRATE=
[ ! -f %{_sysconfdir}/systemd/system/multi-user.target.wants/lm_sensors.service ] && MIGRATE=yes
%_post_service lm_sensors
%_post_service sensord
# (cg) Deal with a quirk of packaging... enable sensord if lm_sensors is enabled
if [ "$MIGRATE" = "yes" -a -f %{_sysconfdir}/systemd/system/multi-user.target.wants/lm_sensors.service ]; then
  ln -sf %{_unitdir}/sensord.service %{_sysconfdir}/systemd/system/multi-user.target.wants/sensord.service
fi

%preun
%_preun_service lm_sensors
%_preun_service sensord

%files
%doc CHANGES CONTRIBUTORS README doc README.urpmi
%config(noreplace) %{_sysconfdir}/sensors3.conf
%config(noreplace) %{_sysconfdir}/sysconfig/lm_sensors
%{_initrddir}/lm_sensors
%{_unitdir}/sensord.service
%{_unitdir}/lm_sensors.service
%{_bindir}/sensors
%{_bindir}/sensors-conf-convert
%ifnarch ppc %arm %mips
%{_sbindir}/isadump
%{_sbindir}/isaset
%endif
%{_sbindir}/sensors-detect
%{_sbindir}/sensord
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*
%{_sbindir}/fancontrol
%{_sbindir}/pwmconfig

%files -n %{libname}
%{_libdir}/libsensors.so.%{major}
%{_libdir}/libsensors.so.%{major}.*

%files -n %{develname}
%{_libdir}/libsensors.so
%dir %{_includedir}/sensors
%{_includedir}/sensors/*
%{_mandir}/man3/*

%files -n %{staticname}
%{_libdir}/libsensors.a


%changelog
* Fri May 06 2016 luigiwalser <luigiwalser> 1:3.4.0-3.mga6
+ Revision: 1010063
- rebuild for rrdtool

* Fri Feb 12 2016 umeabot <umeabot> 1:3.4.0-2.mga6
+ Revision: 956041
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 daviddavid <daviddavid> 1:3.4.0-1.mga6
+ Revision: 864173
- new version: 3.4.0
- remove no more needed explicit requires and provides on lib(64)lm_sensors4

* Wed Oct 15 2014 umeabot <umeabot> 1:3.3.5-3.mga5
+ Revision: 746246
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.3.5-2.mga5
+ Revision: 681971
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 dams <dams> 1:3.3.5-1.mga5
+ Revision: 580815
- new version 3.3.5

* Sat Oct 19 2013 umeabot <umeabot> 1:3.3.4-2.mga4
+ Revision: 526391
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 dams <dams> 1:3.3.4-1.mga4
+ Revision: 436860
- new version 3.3.4

* Sun Feb 03 2013 sander85 <sander85> 1:3.3.3-3.mga3
+ Revision: 394260
- Add placeholder for /etc/sysconfig/lm_sensors (like Fedora does)

* Sat Jan 12 2013 umeabot <umeabot> 1:3.3.3-2.mga3
+ Revision: 358915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 1:3.3.3-1.mga3
+ Revision: 315723
- new version 3.3.3

* Sat Apr 28 2012 tmb <tmb> 1:3.3.2-6.mga2
+ Revision: 233773
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Apr 22 2012 colin <colin> 1:3.3.2-5.mga2
+ Revision: 232603
- Fix systemd unit migration
- Use included sensors-detect rather than outdated backport

* Sat Apr 21 2012 colin <colin> 1:3.3.2-4.mga2
+ Revision: 232339
- Neater masking of sysvinit script under systemd.

* Sat Apr 21 2012 colin <colin> 1:3.3.2-3.mga2
+ Revision: 232323
- Fix systemd unit and migration

* Wed Apr 18 2012 guillomovitch <guillomovitch> 1:3.3.2-2.mga2
+ Revision: 231321
- spec cleanup
- systemd support

* Thu Apr 05 2012 tmb <tmb> 1:3.3.2-1.mga2
+ Revision: 228648
- update to 3.3.2 (supports new kernels)

* Sat Mar 03 2012 malo <malo> 1:3.3.1-2.mga2
+ Revision: 217603
- added up-to-date sensor-detect for newer hardware (mga#4095)

  + kharec <kharec>
    - try to fix rpmlint's warning on lsb-keywords
    - new release that makes sensors-detect up-to-date with new devices.

* Sun Jun 19 2011 kharec <kharec> 1:3.3.0-1.mga2
+ Revision: 109644
- new version 3.3.0

* Fri Jan 14 2011 dmorgan <dmorgan> 1:3.2.0-1.mga1
+ Revision: 17434
- Get rid of mdv macros
- imported package lm_sensors

